Skip to content

Changelog python-pyxattr (0.6.0-2build2+10.0trisquel1)

2021

python-pyxattr (0.6.0-2build2+10.0trisquel1) nabia-backports; urgency=medium

   * Forward-ported from bionic

2017

python-pyxattr (0.6.0-2build2) artful; urgency=medium

   * No change rebuild to drop Python 3.5 support.

python-pyxattr (0.6.0-2build1) artful; urgency=medium

   * No change rebuild to add Python 3.6 support.

python-pyxattr (0.6.0-2) unstable; urgency=medium

   * Fixup building on hurd and kfreebsd; while neither of these
     architectures have proper xattr support, the package was present and
     importable on them previously (and hurd has some very basic support
     for xattrs)

python-pyxattr (0.6.0-1) unstable; urgency=medium

   * New upstream release, mainly fixing a race condition when
     listing/reading attributes during concurrent modifications (which
     required internal changes, see the NEWS file), and OSX support (not
     impacting Debian)
   * Fixup autopkgtests to also work when building the packages

2016

python-pyxattr (0.5.6-1) unstable; urgency=medium

   * Imported Upstream versions 0.5.4, 0.5.5 and 0.5.6; main changes:
     - fix multiple memory leaks in error handling paths
     - improve error message in case attributes disappear during retrieval
     - fix actual int/size_t issues (https://bugzilla.redhat.com/1127310)
     - fix potential sign-compare issues (code is -Wconversion clean now)
     - fix potential name truncation in merge_ns()
     - fix building on systems which don't have ENODATA
   * Improve hardening of the package (all except pie, which breaks the
     build)
   * Migrate debian/copyright to DEP5-style
   * Switch debian packaging repo over to Alioth
   * Switch build system to dh and pybuild
   * Split the documentation into a separate package (Closes: #725419);
     note that the path to the documentation has now changed
   * Add autopkgtest testsuite; this would have helped the issue found by
     RedHat much earlier, since Debian runs on more platforms

2015

python-pyxattr (0.5.3-2) unstable; urgency=medium

   * Fix building with Sphinx 1.3 (Closes: #787848).

2014

python-pyxattr (0.5.3-1) unstable; urgency=medium

   * New upstream releases: speedup, changes in handling invalid file names
   * Standards version 3.9.5 (no changes needed)
   * Update watch file

2012

python-pyxattr (0.5.1-1) unstable; urgency=low

   * New upstream bug-fix release, fixing reference leaks and potential
     NULL pointer dereferences in low memory cases
   * Add python 3 packages, based on patch from Didier 'OdyX' Raboud
     (Closes: #606898)

2010

python-pyxattr (0.5.0-3) unstable; urgency=low

   * Remove old Replaces/Breaks

python-pyxattr (0.5.0-2) unstable; urgency=low

   * Apply a modified version of the Ubuntu patch for enabling debug
     packages, thanks Angel Abad (Closes: #591634).
   * Standards version 3.9.1 (use Breaks instead of Conflicts).

python-pyxattr (0.5.0-1) unstable; urgency=low

   * New upstream version
   * Standards version 3.8.4 (no changes needed)
   * Switch to dpkg-source 3.0 (quilt) format
   * Added doc-base control file for the shipped documentation

2009

python-pyxattr (0.4.0-2) unstable; urgency=low

   * Fix "FTBFS on GNU/kFreeBSD" (added a modified form of the submitted patch,
     thanks Cyril Brulebois) (Closes: #540979)
   * Update standards version (no changes needed)

2008

python-pyxattr (0.4.0-1) unstable; urgency=low

   * New Upstream Version, with license changed to LGPL
   * Update to Policy 3.8.0
   * Update the rules file for newer pysupport version
   * Update debhelper compat level to 7
   * Added watch file

python-pyxattr (0.2.2-2) unstable; urgency=low

   * Upgrade standards version to 3.7.3 (no changes required)
   * Fix other lintian warnings

2007

python-pyxattr (0.2.2-1) unstable; urgency=low

   * New upstream release (Closes: #431112)
   * Acknowledge NMUs (thanks Pierre!) (Closes: #373348, #368616)

2006

python-pyxattr (0.2.1-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Update package to the last python policy (Closes: #373348).
   * Package is now arch:any (Closes: #368616).

python-pyxattr (0.2.1-1) unstable; urgency=low

   * New upstream release (fixes a symlink handling bug
     and a possible memory leak)
   * Stop building python 2.2 packages (closes: #351150)
   * Start building python 2.4 packages
   * Updated standards version to 3.6.2 (no changes)
   * Update FSF address in copyright file

2004

python-pyxattr (0.2-2) unstable; urgency=low

   * Fixed missing dependency on python (closes: #258484)
   * Updates to standards version 3.6.1

2003

python-pyxattr (0.2-1) unstable; urgency=low

   * Initial Release.